WPS4ParserInternal::SubDocument Class Reference documentation

Public Types | Public Member Functions | Public Attributes | List of all members
WPS4ParserInternal::SubDocument Class Referencefinal

Internal: the subdocument of a WPS4Parser. More...

Inheritance diagram for WPS4ParserInternal::SubDocument:

## Public Types
enum | Type { Unknown , MN }
| type of an entry stored in textId More...

## Public Member Functions
| SubDocument (RVNGInputStreamPtr const &input, WPS4Parser &pars, WPSEntry const &entry)
| constructor for a text entry More...
| ~SubDocument () final
| destructor More...
bool | operator== (std::shared_ptr< WPSSubDocument > const &doc) const final
| operator== More...
void | parse (std::shared_ptr< WPSContentListener > &listener, libwps::SubDocumentType subDocumentType) final
| the parser function More...
Public Member Functions inherited from WPSTextSubDocument
| WPSTextSubDocument (RVNGInputStreamPtr const &input, WPSParser *parser, int id=0)
| constructor More...
| ~WPSTextSubDocument () override
| destructor More...
RVNGInputStreamPtr const & | getInput ()
| returns the input More...
WPSParser * | parser () const
| returns the parser More...
bool | operator== (std::shared_ptr< WPSSubDocument > const &doc) const override
| an operator = More...
virtual void | parse (std::shared_ptr< WPSContentListener > &listener, libwps::SubDocumentType subDocumentType)=0
| virtual parse function More...
Public Member Functions inherited from WPSSubDocument
| WPSSubDocument (RVNGInputStreamPtr const &input, int id=0)
| constructor More...
virtual | ~WPSSubDocument ()
| destructor More...
RVNGInputStreamPtr & | getInput ()
| returns the input More...
int | id () const
| get the identificator More...
void | setId (int i)
| set the identificator More...
virtual bool | operator== (std::shared_ptr< WPSSubDocument > const &doc) const
| an operator = More...
bool | operator!= (std::shared_ptr< WPSSubDocument > const &doc) const

## Public Attributes
WPSEntry | m_entry
| the entry More...

## Additional Inherited Members
Protected Attributes inherited from WPSTextSubDocument
WPSParser * | m_parser
Protected Attributes inherited from WPSSubDocument
RVNGInputStreamPtr | m_input
int | m_id

## Detailed Description

Internal: the subdocument of a WPS4Parser.

## Member Enumeration Documentation

## ◆ Type

enum WPS4ParserInternal::SubDocument::Type

type of an entry stored in textId

Enumerator
Unknown |
MN |

## Constructor & Destructor Documentation

## ◆ SubDocument()

WPS4ParserInternal::SubDocument::SubDocument | ( | RVNGInputStreamPtr const & | input,
|  | WPS4Parser & | pars,
|  | WPSEntry const & | entry
| ) |  |
| inline

constructor for a text entry

## ◆ ~SubDocument()

WPS4ParserInternal::SubDocument::~SubDocument | ( |  | ) |
| inlinefinal

destructor

## Member Function Documentation

## ◆ operator==()

bool WPS4ParserInternal::SubDocument::operator== | ( | std::shared_ptr< WPSSubDocument > const & | doc | ) | const
| inlinefinalvirtual

operator==

Reimplemented from WPSSubDocument.

## ◆ parse()

void WPS4ParserInternal::SubDocument::parse | ( | std::shared_ptr< WPSContentListener > & | listener,
|  | libwps::SubDocumentType | subDocumentType
| ) |  |
| finalvirtual

the parser function

Implements WPSTextSubDocument.

## Member Data Documentation

## ◆ m_entry

WPSEntry WPS4ParserInternal::SubDocument::m_entry

the entry

Referenced by operator==(), and parse().

The documentation for this class was generated from the following file:

- WPS4.cpp